> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thedatacity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get lists by domain

> Get lists by domain.



## OpenAPI

````yaml /api-reference/openapi.json get /v2/smart-lists/by-domain/{domain}
openapi: 3.0.0
info:
  title: The Data City API (v2)
  description: API v2. Use these endpoints for new integrations.
  version: 2.0.0
servers:
  - url: https://product-api.thedatacity.com/api
    description: Production
security: []
tags:
  - name: classification
    description: >-
      Classification and ML: classify companies, list summary, explain
      classifier, explain company score.
  - name: companies
    description: >-
      Companies: details, group structure, check, batch, export, filtered
      companies.
  - name: directors
    description: 'Directors: director details by person number.'
  - name: explore
    description: 'Explore lists: filter-based lists by list ID, domain, or email.'
  - name: filters
    description: 'Filters: get available filters and filtered company results.'
  - name: rtics
    description: RTIC details and metadata.
  - name: search
    description: 'Search: ahead full and full-text search.'
  - name: smart-lists
    description: 'User lists (ML): list details by list ID, domain, or email.'
paths:
  /v2/smart-lists/by-domain/{domain}:
    get:
      tags:
        - smart-lists
      summary: Get lists by domain
      description: Get lists by domain.
      operationId: 23b87f9a11ee84d17ee397d9cade9bd0
      parameters:
        - $ref: '#/components/parameters/ApiPathDomain'
      responses:
        '200':
          description: Smart list IDs from the platform database.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SmartListIdsResponseBody'
      security:
        - bearerAuth: []
        - auth:
            - read:companies
            - companies:userList
components:
  parameters:
    ApiPathDomain:
      name: domain
      in: path
      description: Hostname (e.g. example.com).
      required: true
      schema:
        type: string
  schemas:
    SmartListIdsResponseBody:
      description: >-
        Smart list or explore list identifiers visible to the caller for the
        given domain or email.
      type: array
      items:
        oneOf:
          - type: integer
          - type: string
  securitySchemes:
    bearerAuth:
      type: http
      bearerFormat: JWT
      scheme: bearer

````